local AHighIntensityLaserProjectile = import('/lua/aeonprojectiles.lua').AHighIntensityLaserProjectile
local utilities = import('/lua/utilities.lua')

ch_wpn_heal01 = Class(AHighIntensityLaserProjectile) {
    OnImpact = function(self, TargetType, TargetEntity)
		AHighIntensityLaserProjectile.OnImpact(self, TargetType, TargetEntity)
		local unit = self:GetLauncher()
		
		if TargetEntity then
			local HealThread = ForkThread(function(self)
				if TargetEntity:IsDead() == false then
					TargetEntity.DoTakeDamage(TargetEntity, unit, -30, 0, 'Normal')
					unit.HasHit = true
					local emitter = CreateAttachedEmitter(TargetEntity, -1, TargetEntity:GetArmy(), '/effects/emitters/_test_20_gaseous_emit.bp'):ScaleEmitter(0.6)
					WaitSeconds(0.8)
					if TargetEntity:IsDead() == false then
						emitter:Destroy()
					end
				end
				KillThread(self)
			end)
		else
			unit.HasHit = true
		end
		self:Destroy()
    end,
}

TypeClass = ch_wpn_heal01