local TStructureUnit = import('/lua/terranunits.lua').TStructureUnit
local ADFCannonQuantumWeapon = import('/lua/aeonweapons.lua').ADFCannonQuantumWeapon

ch_sta02 = Class(TStructureUnit) {
    Weapons = {
        MainGun = Class(ADFCannonQuantumWeapon) {}
    },
	
	#Water Falling Lightly terran_gate_01_emit
	#Flame urc1501_ambient_01_emit
	#White Dusty Air Glow water_heat_ambient_01_emit
	#Electical Air
	
	OnCreate = function(self)
		TStructureUnit.OnCreate(self)
		CreateAttachedEmitter(self, 'Emitter01', self:GetArmy(), '/effects/emitters/zapper_electricity_01_emit.bp'):ScaleEmitter(0.4)
		CreateAttachedEmitter(self, 'Emitter01', self:GetArmy(), '/effects/emitters/urc1501_ambient_01_emit.bp'):ScaleEmitter(0.5)
		CreateAttachedEmitter(self, 'Emitter01', self:GetArmy(), '/effects/emitters/water_heat_ambient_01_emit.bp'):ScaleEmitter(0.15)
		CreateAttachedEmitter(self, 'Emitter01', self:GetArmy(), '/effects/emitters/water_heat_ambient_01_emit.bp'):ScaleEmitter(0.3)		
    end,
}

TypeClass = ch_sta02